io.vertx.ext.auth.mongo

## Enum HashAlgorithm

- java.lang.Object
- - java.lang.Enum<HashAlgorithm>
  - - io.vertx.ext.auth.mongo.HashAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<HashAlgorithm>

      public enum HashAlgorithm
      extends Enum<HashAlgorithm>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PBKDF2` Stronger hashing algorithm, recommended by OWASP as of 2018.
    `SHA512` The default algorithm for backward compatible systems.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HashAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HashAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHA512

          public static final HashAlgorithm SHA512

      The default algorithm for backward compatible systems. Should not be used for new projects as OWASP recommends stronger hashing algorithms.

    - #### PBKDF2

          public static final HashAlgorithm PBKDF2

      Stronger hashing algorithm, recommended by OWASP as of 2018.

  - ### Method Detail

    - #### values

          public static HashAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HashAlgorithm c : HashAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HashAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018 Eclipse. All rights reserved.